%global debug_package %{nil}
%global srcname configshell-fb

Name:		python-configshell
Summary:	Python library that provides a framework for building simple but nice CLI-based applications.
Version:	1.1.27
Release:	6
License:	ASL 2.0
URL:		https://github.com/open-iscsi/configshell-fb
Source0:	https://github.com/open-iscsi/configshell-fb/archive/v1.1.27.tar.gz
BuildArch:	noarch

Patch01:        0001-Ensure-that-all-output-reaches-the-client-when-daemo.patch
Patch02:        0002-Remove-epydoc-imports-and-epydoc-calls.patch

%global _description\
%{name} is a Python library that provides a framework for building simple but nice CLI-based applications.\
This runs with Python 3 and python 3 is run by setup.py to run on Python 3.\

%description %_description

%package -n python3-configshell
Summary: %summary
BuildRequires:	git python3-devel
Requires:       python3-pyparsing python3-urwid
%{?python_provide:%python_provide python3-configshell}

%description -n python3-configshell %_description

%prep
%autosetup -n configshell-fb-%{version} -p1 -Sgit

rm -rf %{py3dir}
cp -a . %{py3dir}

%build
pushd %{py3dir}
%{__python3} setup.py build
popd

%install
rm -rf %{buildroot}
pushd %{py3dir}
%{__python3} setup.py install --skip-build --root %{buildroot}
popd

%files -n python3-configshell
%{python3_sitelib}/*
%license COPYING
%doc README.md

%changelog
* Tue Nov 28 2023 liubo <liubo1@xfusion.com> - 1.1.27-6
- Remove epydoc imports and epydoc calls

* Wed Nov 1 2023 liubo <liubo1@xfusion.com> - 1.1.27-5
- Repair log message

* Fri Oct 13 2023 liubo <liubo1@xfusion.com> - 1.1.27-4
- Ensure that all output reaches the client when daemonized

* Wed Oct 21 2020 zhangtao <zhangtao221@huawei.com> - 1.1.27-3
- delete python2

* Wed Sep 9 2020 liuweibo <liuweibo10@huawei.com> - 1.1.27-2
- Fix Source0

* Tue Nov 12 2019 openEuler Buildteam <buildteam@openeuler.org> - 1.1.27-1
- Package init
